CVE-2014-2286

high

Description

main/http.c in Asterisk Open Source 1.8.x before 1.8.26.1, 11.8.x before 11.8.1, and 12.1.x before 12.1.1, and Certified Asterisk 1.8.x before 1.8.15-cert5 and 11.6 before 11.6-cert2, allows remote attackers to cause a denial of service (stack consumption) and possibly execute arbitrary code via an HTTP request with a large number of Cookie headers.

References

http://downloads.asterisk.org/pub/security/AST-2014-001.html

http://downloads.asterisk.org/pub/security/AST-2014-001-1.8.diff

http://lists.fedoraproject.org/pipermail/package-announce/2014-March/130400.html

http://lists.fedoraproject.org/pipermail/package-announce/2014-March/130426.html

http://www.mandriva.com/security/advisories?name=MDVSA-2014:078

http://www.securityfocus.com/bid/66093

https://issues.asterisk.org/jira/browse/ASTERISK-23340

Details

Source: MITRE

Published: 2014-04-18

Updated: 2014-04-21

Type: CWE-20

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH